Cancelar una campaña
curl --request POST \
--url https://api-prod.studio.getsupervisor.ai/v1/campaigns/{campaignId}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api-prod.studio.getsupervisor.ai/v1/campaigns/{campaignId}/cancel"
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-workspace-id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api-prod.studio.getsupervisor.ai/v1/campaigns/{campaignId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "cancelled"
}{
"code": "<string>",
"message": "<string>",
"details": {
"subcode": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"code": "<string>",
"message": "<string>",
"details": {
"subcode": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Campaigns
Cancelar una campaña
Cancela definitivamente una campaña no terminal. Los reintentos en cola
se descartan al ejecutarse (no se llamará al provider). La campaña queda
en estado CANCELLED. Operación destructiva — los contactos pendientes
no se contactarán a menos que se relance una nueva campaña con el mismo
CSV. Requiere el scope campaigns:write.
POST
/
v1
/
campaigns
/
{campaignId}
/
cancel
Cancelar una campaña
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identificador del workspace multi-tenant.
Path Parameters
Identificador de la campaña masiva
Response
Campaña cancelada exitosamente.
Available options:
cancelled ⌘I
